/*------------------------------------*\
    #AUTOCOMPLETE COMPONENT
\*------------------------------------*/
@import '../1-utils/utils.loader';
@import '../0-settings/settings.components';

.#{$inuit-namespace}autocomplete,
%#{$inuit-namespace}autocomplete {
    position: relative;
    display: inline-block;

    &__input {
        position: relative;
        vertical-align: top;
        background-color: transparent;
    }

    &__hint {
        position: absolute;
        top: 0;
        left: 0;
        border-color: transparent;
        box-shadow: none;
        background-color: $frs-color-blue;
        color: $frs-color-white;
    }

    &__menu {
        position: absolute;
        top: 100%;
        left: 0;
        z-index: 100;
        display: none;
    }

    &__highlight {
        background-color: $frs-color-blue;
        color: $frs-color-white;
    }

    &__dataset {
        background-color: $frs-color-white;
        box-shadow: 0 5px 10px 0 rgba($frs-color-black, .4);
    }

    &__suggestion {
        padding: 5px;
        clear: both;
        color: $frs-color-black;
        display: block;
        font-weight: normal;
        line-height: $base-line-height * 1.5;
        position: relative;
        transition: all .2s ease-in-out;
        white-space: nowrap;
        z-index: 50;

        &:hover {
            background-color: $frs-color-blue;
            box-shadow: 0 5px 10px 3px rgba($frs-color-black, .2);
            color: $frs-color-white;
            cursor: pointer;
            position: relative;
            z-index: 100;
        }
    }

    &__fail {
        color: $frs-color-white;
        background-color: $frs-color-light-red;
        font-size: $frs-base-font-size * .8;
        padding: 5px;
        width: 200px;
    }
}
